from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XTreeExpansionListener(XEventListener, Protocol):
    def requestChildNodes(self, Event: TreeExpansionEvent) -> None: ...
    def treeExpanded(self, Event: TreeExpansionEvent) -> None: ...
    def treeCollapsed(self, Event: TreeExpansionEvent) -> None: ...
